MQTT安装问题

求大神帮我解答一下,我照官网运行composer require workerman/mqtt
结果如图,然后我在运行下官网的mqtt例子,结果如下图,一直找不到那个类,说明没有composer成功,是我哪里做错了么,求解答?谢谢
微信图片_20190812205448.png 微信图片_20190812205533.png
已邀请:

keytehu

赞同来自:

很明显cmposer报错了,composer 国内访问慢容易报错,找个composer代理就好了
 
运行
composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/ 
 
然后
composer require workerman/mqtt
 
使用时记得加载 vendor/autoload.php。我就是当时忘记加载找个,搞了半半天
 
 

fangzong515561 - 90后IT男

赞同来自:

你好,我运行了你给我的composer命令,却出现了另外一个错误,说Do not run Composer as root/super user! See https://getcomposer.org/root for details,请问你知道该怎么弄么,十分感谢

要回复问题请先登录注册